## com.blogspot.applications4android.comicreader.comictypes
Class DailyGoComicsCom

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.ComicParser
          com.blogspot.applications4android.comicreader.core.Comic
              com.blogspot.applications4android.comicreader.comictypes.DailyComic
                  com.blogspot.applications4android.comicreader.comictypes.DailyGoComicsCom

Direct Known Subclasses:
  AdamatHome, Agnes, AlleyOop, Andertoons, AndyCapp, AngryLittleGirls, AnimalCrackers, Annie, ArloandJanis, AskShagg, BackintheDay, Badlands, BadReporter, Baldo, BallardStreet, BananaTriangle, BarkeaterLake, BarneynClyde, BasicInstructions, BC, Beardo, Ben, BenSargent, BergernWyse, Betty, Bewley, BiffnRiley, BigNate, BigTop, Biographic, Birdbrains, Bliss, BloomCounty, BobGorrell, BobtheSquirrel, BoNanas, Boomerangs, Bottomliners, BoundandGagged, BreakofDay, Brevity, BrewsterRockit, BroomHilda, Buni, CafeconLeche, CalvinandHobbes, Candorville, CaricaturesbyKerryWaghorn, Cathy, CestlaVie, ChanLowe, CheapThrillsCuisine, ChipBok, ChrisBritt, ChuckAsay, ChuckleBros, CitizenDog, ClayBennett, ClayJones, Cleats, ClosetoHome, Committed, Computoon, Cornered, CowandBoy, CowTown, Crumb, CuldeSac, DaddysHome, DanaSummers, DanWasserman, DarkSideoftheHorse, DeepCover, DiamondLil, DickLocher, DickTracy, DilbertClassics, DixieDrive, DogEatDoug, DogsofCKennel, DomesticAbuse, Doonesbury, Drabble, DrewLitton, DrewSheneman, DudeandDude, Eek, Endtown, ErictheCircle, FamilyTree, Farcus, FatCats, FloandFriends, FMinus, FoolishMortals, ForBetterorForWorse, ForHeavensSake, FortKnox, FoxTrot, FoxTrotClassics, FranknErnest, Frazz, FredBasset, FreeRange, FreshlySqueezed, FrogApplause, Garfield, GarfieldMinusGarfield, GaryMarkstein, GaryVarvel, GasolineAlley, Geech, GetaLife, GetFuzzy, GilThorp, GingerMeggs, GlennMcCoy, GorDominical, Graffiti, GrandAvenue, GrayMatters, HaikuEwe, HamShears, HealthCapsules, HeartoftheCity, Heathcliff, HeavenlyNostrils, HenryPayne, HerbandJamaal, Herman, HomeandAway, HUBRIS, ImagineThis, IncidentalComics, InkPen, InspectorDangersCrimeQuiz, IntheBleachers, IntheSticks, ItsAllAboutYou, JackOhman, JanesWorld, JeffDanziger, JeffStahler, JerryHolbert, JimMorin, JimsJournal, JoeHeller, JoelPett, JoeVanilla, JohnDeering, JumpStart, KenCatalino, KevinKallaugher, KidCity, KidSpot, KitchenCapers, KitNCarlyle, Kliban, KlibansCats, LaCucaracha, LaloAlcaraz, LastKiss, LegendofBill, LibertyMeadows, LilAbner, Lio, LisaBenson, LittleDogLost, Lola, LooseParts, LostSideofSuburbia, LoveIs, Luann, LuckyCow, Mac, MagicinaMinute, Maintaining, MariasDay, Marmaduke, MarshallRamsey, MattBors, MattDavies, MattWuerker, McArroni, MediumLarge, MegClassics, MichaelRamirez, MikeduJour, MikeLester, MikeLuckovich, MikeThompson, MinimumSecurity, ModeratelyConfused, MollyandtheBear, Momma, Monty, MotleyClassics, MrGigiandtheSquid, MuttnJeff, MyCage, MythTickle, Nancy, NestHeads, Neurotica, NewAdventuresofQueenVictoria, NickAnderson, NineChickweedLane, NinetoFive, NonSequitur, NothingisNotSomething, OffTheMark, OllieandQuentin, OnAClaireDay, OneBigHappy, OrdinaryBill, OutoftheGenePoolReRuns, Overboard, OvertheHedge, OysterWar, PatOliphant, PaulSzep, PCandPixel, Peanuts, PeanutsHolidayCountdown, PearlsBeforeSwine, Pibgorn, PibgornSketches, Pickles, Pinkerton, Pluggers, PoochCafe, PreTeena, PricklyCity, RabbitsAgainstMagic, RaisingDuncan, RealityCheck, RealLifeAdventures, RedandRover, RedMeat, ReplyAll, RichardsPoorAlmanac, RicigsToonTrivia, RipHaywire, RipleysBelieveItorNot, RobertAriail, RobRogers, RoseisRose, Rubes, RudyPark, SavageChickens, ScaryGary, ScottStantis, ShirleyandSonClassics, Shoe, Shoecabbage, Shortcuts, SigneWilkinson, SkinHorse, Skippy, Slowpoke, SmallWorld, SoupToNutz, SpeedBump, SpottheFrog, Starslip, SteveBenson, SteveBreen, SteveKelley, SteveSack, StoneSoup, StrangeBrew, StuartCarlson, Sylvia, TalesofTerraTopia, TankMcNamara, Tarzan, TedRall, TenCats, Thatababy, ThatisPriceless, ThatsLife, TheAcademiaWaltz, TheArgyleSweater, TheBarn, TheBigPicture, TheBoondocks, TheBornLoser, TheBuckets, TheCity, TheDinetteSet, TheDoozies, TheDuplex, TheElderberries, TheFlyingMcCoys, TheFuscoBrothers, TheGrizzwells, TheHumbleStumble, TheKChronicles, TheKnightLife, TheLeftyBoscoPictureShow, TheLostBear, TheMeaningofLila, TheMiddletons, TheNormClassics, TheOtherCoast, TheSunshineClub, Think, ThinLines, TinySepuku, Toby, TodaysDogg, TomtheDancingBug, TomToles, TonyAuth, TooMuchCoffeeMan, Trivquiz, Twaggies, TwoCowsandaChicken, UncleArtsFunland, UnstrangePhenomena, USAcres, ViewsAfrica, ViewsAmerica, ViewsAsia, ViewsBusiness, ViewsEurope, ViewsLatinAmerica, ViewsMidEast, ViewsoftheWorld, ViivinWagner, WaltHandelsman, WatchYourHead, WeePals, WitoftheWorld, WizardofId, WorkingDaze, WorkingItOut, WTDuck, ZackHill, Ziggy

    public class DailyGoComicsCom

extends DailyComic

Base class for all comic series from gocomics.com

Field Summary
`protected java.lang.String` `mComicName` set this comic name during the constructor of the child classes
`protected java.util.Calendar` `mFirstCal` set this first calendar date during the constructor of the child classes

Fields inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyComic
`m_zone, mBound`

Fields inherited from class com.blogspot.applications4android.comicreader.core.Comic
`DIALOG_DATE, DIALOG_NUMBER, mFirstUid, mLatestUid, mPrevSessionUid, NAV_CURRENT, NAV_FIRST, NAV_LATEST, NAV_LATEST_FORCE, NAV_NEXT, NAV_PREV_SESSION, NAV_PREVIOUS, NAV_RANDOM, PROPS, TYPE_CACHING, TYPE_FAVORITE, TYPE_LATEST, TYPE_PREV_SESSION, TYPE_PREVIEW`

Constructor Summary
`DailyGoComicsCom()` Constructor

Method Summary
`java.lang.String` `getCalendarJsUrl(int year, int month)` get the url for the calendar json object for the given year and month
`java.lang.String` `getComicWebPageUrl()` Get the main page url for the current comic series
`protected java.util.Calendar` `getFirstCalendar()` Get a Calendar instance for the first comic strip.
`java.util.Calendar` `getFirstStripCalendar()` Get the first strip calendar
`protected java.lang.String` `getFirstStripUrl()` Gets the url for the first strip
`protected java.util.Calendar` `getLatestCalendar()` Get a Calendar instance for the latest comic strip.
`protected java.lang.String` `getLatestStripUrl()` Gets the url for the latest strip
`protected java.lang.String` `getNextStripUrl()` Gets the url for the next strip
`Strip` `getPreviousSessionStrip()` Gets the previous session strip
`protected java.lang.String` `getPreviousStripUrl()` Gets the url for the previous strip
`protected java.lang.String` `getRandomStripUrl()` Gets the url for the previous strip
`protected java.util.Calendar` `getTimeFromUrl(java.lang.String url)` Helper function to convert the comic html URL into Calendar instance.
`java.lang.String` `getUrlFromTime(java.util.Calendar cal)` Helper function to convert the Calendar instance into url
`protected boolean` `htmlNeeded()` Whether one needs to parse the html file in order to find the strip url
`protected java.lang.String` `parse(java.lang.String url, java.io.BufferedReader reader, Strip strip)` Function to read every line from the reader and extract strip-info
`protected java.lang.String[]` `urlsNotForCaching()` Gives out the list of urls (can be regexes) which are not supposed to be cached using 'mStrips'

Methods inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyComic
`addException, dialogType, getBound, getCurrentCal`

Methods inherited from class com.blogspot.applications4android.comicreader.core.Comic

`clearCache, clearHistory, currentHasImageText, currentTitleAsValidFilename, downloadCurrentStrip, getComicName, getCurrentStrip, getDefaultZoom, getFirstStrip, getLatestStrip, getLatestStripForcefully, getLaunchType, getName, getNextStrip, getPreviousStrip, getRandomStrip, getStripFromUrl, hasPreviousSession, hasUid, isCurrentFavorite, isCurrentFirstStrip, isCurrentLatestStrip, navigateStrip, queryUid, readOnlyUnread, readProperties, setCacheEnabled, setComicName, setCurrentAsFavorite, setDefaultZoom, setLaunchType, writeProperties`

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mComicName

    protected java.lang.String mComicName

  set this comic name during the constructor of the child classes

### mFirstCal

    protected java.util.Calendar mFirstCal

  set this first calendar date during the constructor of the child classes

Constructor Detail

### DailyGoComicsCom

    public DailyGoComicsCom()

  Constructor

Method Detail

### getFirstStripCalendar

    public java.util.Calendar getFirstStripCalendar()

  Get the first strip calendar

  Returns:
    first strip calendar

### getCalendarJsUrl

    public java.lang.String getCalendarJsUrl(int year,
                                             int month)

  get the url for the calendar json object for the given year and month

  Parameters:
    `year` - year of interest
    `month` - month of interest
  Returns:
    string containing the json url

### getComicWebPageUrl

    public java.lang.String getComicWebPageUrl()

  Description copied from class: `Comic`
  Get the main page url for the current comic series

  Specified by:
    `getComicWebPageUrl` in class `Comic`
  Returns:
    desired url

### getPreviousSessionStrip

    public Strip getPreviousSessionStrip()

  Description copied from class: `Comic`
  Gets the previous session strip

  Overrides:
    `getPreviousSessionStrip` in class `Comic`
  Returns:
    previous session strip

### getFirstStripUrl

    protected java.lang.String getFirstStripUrl()

  Description copied from class: `Comic`
  Gets the url for the first strip

  Overrides:
    `getFirstStripUrl` in class `DailyComic`
  Returns:
    url

### getLatestStripUrl

    protected java.lang.String getLatestStripUrl()

  Description copied from class: `Comic`
  Gets the url for the latest strip

  Overrides:
    `getLatestStripUrl` in class `DailyComic`
  Returns:
    url

### getNextStripUrl

    protected java.lang.String getNextStripUrl()

  Description copied from class: `Comic`
  Gets the url for the next strip

  Overrides:
    `getNextStripUrl` in class `DailyComic`
  Returns:
    url

### getPreviousStripUrl

    protected java.lang.String getPreviousStripUrl()

  Description copied from class: `Comic`
  Gets the url for the previous strip

  Overrides:
    `getPreviousStripUrl` in class `DailyComic`
  Returns:
    url

### getRandomStripUrl

    protected java.lang.String getRandomStripUrl()

  Description copied from class: `Comic`
  Gets the url for the previous strip

  Overrides:
    `getRandomStripUrl` in class `DailyComic`
  Returns:
    url

### getFirstCalendar

    protected java.util.Calendar getFirstCalendar()

  Description copied from class: `DailyComic`
  Get a Calendar instance for the first comic strip.

  Specified by:
    `getFirstCalendar` in class `DailyComic`
  Returns:
    Calendar instance for the first strip

### getLatestCalendar

    protected java.util.Calendar getLatestCalendar()

  Description copied from class: `DailyComic`
  Get a Calendar instance for the latest comic strip.

  Specified by:
    `getLatestCalendar` in class `DailyComic`
  Returns:
    Calendar instance for the latest strip

### getTimeFromUrl

    protected java.util.Calendar getTimeFromUrl(java.lang.String url)

  Description copied from class: `DailyComic`
  Helper function to convert the comic html URL into Calendar instance.

  Specified by:
    `getTimeFromUrl` in class `DailyComic`
  Parameters:
    `url` - comic html url
  Returns:
    the calendar instance.

### getUrlFromTime

    public java.lang.String getUrlFromTime(java.util.Calendar cal)

  Description copied from class: `DailyComic`
  Helper function to convert the Calendar instance into url

  Specified by:
    `getUrlFromTime` in class `DailyComic`
  Parameters:
    `cal` - calendar instance
  Returns:
    comic url

### htmlNeeded

    protected boolean htmlNeeded()

  Description copied from class: `ComicParser`
  Whether one needs to parse the html file in order to find the strip url

  Specified by:
    `htmlNeeded` in class `ComicParser`
  Returns:
    true if html is needed, else false

### parse

    protected java.lang.String parse(java.lang.String url,
                                     java.io.BufferedReader reader,
                                     Strip strip)
                              throws java.io.IOException

  Description copied from class: `ComicParser`
  Function to read every line from the reader and extract strip-info

  Specified by:
    `parse` in class `ComicParser`
  Parameters:
    `url` - html page url
    `reader` - reader
    `strip` - the strip where to store the info
  Returns:
    the strip url
  Throws:
    `java.io.IOException`

### urlsNotForCaching

    protected java.lang.String[] urlsNotForCaching()

  Description copied from class: `Comic`
  Gives out the list of urls (can be regexes) which are not supposed to be cached using 'mStrips'

  Overrides:
    `urlsNotForCaching` in class `DailyComic`
  Returns:
    list